{==============================================================================|
| Project : Delphree - WebProvider                               | 001.000.000 |
|==============================================================================|
| Content: WebProvider Demo Code                                               |
|==============================================================================|
| The contents of this file are subject to the Mozilla Public License Ver. 1.0 |
| (the "License"); you may not use this file except in compliance with the     |
| License. You may obtain a copy of the License at http://www.mozilla.org/MPL/ |
|                                                                              |
| Software distributed under the License is distributed on an "AS IS" basis,   |
| WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for |
| the specific language governing rights and limitations under the License.    |
|==============================================================================|
| The Original Code is WebProvider for Delphi Library.                         |
|==============================================================================|
| WebProvider Demo Code developed by Radek Voltr (Czech Republic)              |
| WebProvider Demo Code is Copyright (C) 1998, 1999.                           |
| All Rights Reserved.                                                         |
|==============================================================================|
| Contributor(s):                                                              |
|==============================================================================|
| History: 10.2.1999 Version 001.000.000                                       |
|          First public release.                                               |
|==============================================================================}
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WPApp, Db, DBTables, WPPage;

type
  TWebDataModule = class(TDataModule)
    WPGlobal1: TWPGlobal;
    WPAction1: TWPAction;
    procedure WPAction1Action(var Response: String; Continue: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WebDataModule: TWebDataModule;

implementation

{$R *.DFM}

procedure TWebDataModule.WPAction1Action(var Response: String;
  Continue: Boolean);
  var I:Integer;
begin
Response:='<H1>WebProvider Query FIELDS Text<H3>';
for I:=0 to Application.Fields.Count-1 do
    Response:=Response+Application.Fields.Names[I]+' = '+Application.Fields.Values[Application.Fields.Names[I]]+'<BR>';
end;

end.
